<?xml version="1.0"?>

<!--DOCTYPE mapping PUBLIC "-//EXOLAB/Castor Object Mapping DTD Version 1.0//EN"
                         "http://Castor.exolab.org/mapping.dtd"-->

<mapping>

  <!--description>Description of the mapping</description-->

  <!--include href="mappings/other_mapping_file.xml"/-->

  <class name="yi.iu.processor.ort.ORTLine">

    <map-to xml="line"/>

    <field name="id" type="integer">
      <bind-xml node="attribute"/>
    </field>

    <field name="x1" type="double">
      <bind-xml node="attribute"/>
    </field>
    <field name="y1" type="double">
      <bind-xml node="attribute"/>
    </field>
    <field name="x2" type="double">
      <bind-xml node="attribute"/>
    </field>
    <field name="y2" type="double">
      <bind-xml node="attribute"/>
    </field>

    <!--field name="LengthParlVar" type="double" direct="true">
      <bind-xml node="attribute"/>
    </field>

    <field name="LengthPerpVar" type="double" direct="true">
      <bind-xml node="attribute"/>
    </field>

    <field name="Theta" type="double" direct="true">
      <bind-xml node="attribute"/>
    </field>

    <field name="ThetaVar" type="double" direct="true">
      <bind-xml node="attribute"/>
    </field-->

  </class>

</mapping>
